<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;

use App\Classes\Interfaces\DataTransferObject;

class CompanyObject implements DataTransferObject
{

    /** @var int */
    private $referenceNo;

    /** @var string */
    private $name;

    /** @var int */
    private $type;

    /**
     * CompanyObject constructor.
     * @param int $referenceNo
     * @param string $name
     * @param int $type
     */
    public function __construct(int $referenceNo, string $name, int $type)
    {
        $this->referenceNo = $referenceNo;
        $this->name = $name;
        $this->type = $type;
    }

    /**
     * @return int
     */
    public function getReferenceNo(): int
    {
        return $this->referenceNo;
    }

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }


}